Install Eclipse Mars 4.5 on Fedora 24/23, CentOS/RHEL 7.2/6.8/5.11 - Comment Page: 5

This is guide, howto install latest Eclipse Mars.2 4.5.2 on Fedora, CentOS and Red Hat (RHEL). This guide should work with Fedora 24/23/22/21/20/19/18/17/16/15/14/13/12, CentOS 7.2/6.8/5.11 and Red Hat (RHEL) 7.2/6.8/5.11 and even with earlier versions. Latest working version on CentOS/RHEL 5.11 is Eclipse Luna 4.4.2. Eclipse is a multi-language software development environment comprising an integrated development environment (IDE) and an extensible plug-in system. It is written primarily in Java and can be used to develop applications in Java and, by means of various plug-ins, other languages including C, C++, COBOL, Python, Perl, PHP, Scala and Ruby (including Ruby on Rails...

172 comments on “Install Eclipse Mars 4.5 on Fedora 24/23, CentOS/RHEL 7.2/6.8/5.11 - Comment Page: 5

1 3 4 5 6 7
    1. This is a good post, I’m little bit trouble in nano. If you are trouble with it, use vim editor
      vi /usr/bin/eclipse
      vi /usr/share/applications/eclipse.desktop

      Thanks

      Reply
    2. I did all the above but the icon didn’t show on desktop or through the menu of programs , any way, when i type “eclipse” in terminal it works fine, my question is ; how do you remove it !? I tried using add/delete software but it’s not seeing it as a package,I tried “yum remove eclipse” but it’s not seeing it, please help, thank you

      Reply
      • hi..

        TO RUN:
        check the paths you had given for “Exec” and “Icon” fields in your desktop launcher file(eclipse.desktop).

        TO REMOVE:
        if you have followed the above steps only to install then in order to remove eclipse, simply remove the directory of eclipse.

        Reply
    3. Thank you very much for the tips! I was able to install Eclipse on CentOS effortlessly.

      Reply
    4. tar -xvzf should be tar xvzf

      Reply
      • Hi jintux,

        Why it should be without dash? It’s exactly same command. Some versions of tar even may require a dash before the option string.

        Reply
    5. Thanks, Eclipse Juno is latest now.

      Reply
    6. help me

      i got following error

      could not execute “/opt/eclipse/eclipse” binary file

      then what i have to do

      Reply
      • Hi paramesh,

        Did you tried it as normal user or root?

        Could you post output of following command:

        
        ls -la /opt/eclipse
        
        Reply
    7. Thanks so much! Works great for me! I’m using Fedora 16 with Eclipse JRE (Juno) 4.2.

      Reply
    8. @betaroot and @Dave D

      Thanks, I updated guide to latest Eclipse 4.2 Juno. :)

      Reply
    9. i got following error
      could not execute “/opt/eclipse/eclipse” binary file

      i have tried as root user
      the out put of
      ls -la /opt/eclipse is as follows

      [[email protected] bin]# ls -la /opt/eclipse
      total 864
      drwxr-xr-x 9 507 1109 4096 Feb 8 23:20 .
      drwxr-xr-x 3 root root 4096 Jul 6 10:16 ..
      drwxr-xr-x 2 507 1109 4096 Feb 8 23:20 about_files
      -rw-r–r– 1 507 1109 18909 Feb 8 19:25 about.html
      -rw-r–r– 1 507 1109 95576 Feb 8 23:20 artifacts.xml
      drwxr-xr-x 5 507 1109 4096 Feb 8 23:20 configuration
      drwxr-xr-x 2 507 1109 4096 Feb 8 23:20 dropins
      -rwxrwxrwx 1 507 1109 71023 Feb 8 19:46 eclipse
      -rw-r–r– 1 507 1109 279 Feb 8 23:20 eclipse.ini
      -rw-r–r– 1 507 1109 59 Feb 8 19:06 .eclipseproduct
      -rw-r–r– 1 507 1109 16536 Feb 8 19:06 epl-v10.html
      drwxr-xr-x 167 507 1109 28672 Feb 8 23:20 features
      -rw-r–r– 1 507 1109 9022 Feb 8 19:24 icon.xpm
      -rwxr-xr-x 1 507 1109 335360 Feb 8 19:24 libcairo-swt.so
      -rw-r–r– 1 507 1109 8951 Feb 8 19:06 notice.html
      drwxr-xr-x 4 507 1109 4096 Feb 8 23:19 p2
      drwxr-xr-x 35 507 1109 155648 Feb 8 23:20 plugins
      drwxr-xr-x 2 507 1109 4096 Feb 8 23:20 readme
      [[email protected] bin]#

      Reply
      • Could you also post output of following command:

        
        java -version
        

        Did you change /opt/eclipse/eclipse permissions?

        Reply
    10. Juno Eclipse does not work well with JDK 7, but with JDK6, I suggest first checking the JDK version you have, necessarily LibreOffice uses JDK 7 and so far both can not operate in the same fedora XD¡¡¡ , I hope this review helps.

      Reply
    11. Awesome thanks for the blog…….. I could successfully install Eclipse Juno 4.2

      Reply
    12. Hi! I installed Eclipse on Fedora 17 following your guide and it ran fine until today, the executable refused to luanch from the desktop icon or from the terminal so I ran chmod 775 it, and then ran it from the terminal. I was then bombared with these messages:

      /usr/bin/eclipse: line 3864: conservatizing: command not found
      /usr/bin/eclipse: line 3865: consonantize: command not found
      /usr/bin/eclipse: line 3866: consonantizes: command not found
      /usr/bin/eclipse: line 3867: constitutionalization: command not found
      /usr/bin/eclipse: line 3887: $'constitutionalizations\nconstitutionalizations\nconstitutionalize\nconstitutionalizes\ncontainerization\ncontainerize\ncontainerized\ncontainerizes\ncontainerizing\ncontemporization\ncontemporize\ncontemporized\ncontemporizes\ncontemporizing\ncontroversialize\ncontroversializes\nconundrumize\nconundrumizes\nconventionalization\nconventionalizations': command not found

      After the messages finish, Ark runs…I’m not sure what happened, the only thing I did today was install AbiWord using yum. Any ideas? Thanks!

      Reply
      • Hi Saaraneth,

        Could you post output of following commands:

        
        java -version
        
        ls -la /opt/eclipse
        
        ls -la /usr/bin/eclipse
        
        cat /usr/bin/eclipse
        
        Reply
        • Thanks so much for your help, JR! I figured it out after the cat command. I was trying to enable spellcheck in Eclipse, so I downloaded a dictionary of words, and must have accidentally overwritten /usr/bin/eclipse with the dictionary. I’ve replaced the file and everything is fine again.

          Reply
          • You are welcome! Excellent to hear that you got it working! :)

            Reply
    13. GREAT Thank you!
      The eclipse.desktop file wont work because since Fedora 17 latest Updates (6.09.12) you dont can use GNOME as category. This here works:

      [Desktop Entry]
      Encoding=UTF-8
      Name=Eclipse
      Comment=Eclipse SDK 4.2
      Exec=/bin/sh "/opt/eclipse/eclipse"
      Icon=/opt/eclipse/icon.xpm
      Categories=Development;
      Version=1.0
      Type=Application
      Terminal=false

      Reply
      • Hi thorty,

        I just tested this on Fedora 17, with latest updates and following works normally for me:

        
        [Desktop Entry]
        Encoding=UTF-8
        Name=Eclipse
        Comment=Eclipse SDK 4.2.1
        Exec=eclipse
        Icon=/opt/eclipse/icon.xpm
        Terminal=false
        Type=Application
        Categories=GNOME;Application;Development;
        StartupNotify=true
        
        Reply
    14. By far! this is the best website for linux users, thanks for this, thanks a lot for your very good and well done guides!

      Reply
      • Hi César,

        Thank you very much! Nice to hear that you like my guides! :)

        Reply
1 3 4 5 6 7

Leave a Reply to Julio Valsesia Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Close